var SS = {};    // Global object container

function init_images() {
    SS.img_off = "images/lb_off.png";

    SS.img_on = [ "images/lb_yellow.png",
                  "images/lb_blue.png",
                  "images/lb_green.png",
                  "images/lb_red.png",
                  "images/lb_purple.png"];

    SS.n = SS.img_on.length;

    SS.img_delay = 800;  
}

function init_sounds() {
    var snd_file = [ "sounds/f_sharp.wav",
                     "sounds/g_sharp.wav",
                     "sounds/a_sharp.wav",
                     "sounds/c_sharp.wav",
                     "sounds/d_sharp.wav"]
    var n = SS.n;   // dereference

    SS.lb_snd = new Array(n);
    for (var i = 0; i < n; i++ ) {
        SS.lb_snd[i] = new Audio( snd_file[i] );
    }

    SS.success_snd = new Audio("sounds/applause.wav");
    SS.failure_snd = new Audio("sounds/aww.wav");
}

function turn_lb_on(i, image) {
    SS.lb_snd[i].load();
    SS.lb_snd[i].play();
    image.src = SS.img_on[i];
}

function turn_lb_off(image) {
    image.src = SS.img_off;
}

function lb_click(i) {
    var img_id = "lb_" + String(i);
    var image = document.getElementById(img_id);

    turn_lb_on(i, image);
    setTimeout( function(){turn_lb_off(image)}, SS.img_delay);
}

function play_game() {
    alert("play game");
}

window.onload = function() {
    init_images();
    init_sounds();
}

function P(i){
    console.log(i);
}